/*
 * EditeurRayon.java
 *
 * Created on 10 juillet 2006, 19:49
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package dialogs;
import objets.*;
import mathgraph32.MtgFrame;

/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
// Modifi version 4.6.3. Sert  diter une valeur strictement positive.
// Ancien nom : EditeurRayon.
// Nouveau nom : EditeurValeurStrictPos
@SuppressWarnings("serial")
public class EditeurValeurStricPos extends EditeurValeurDynamique {
private String message;
  /** Creates a new instance of EditeurRayon */
  public EditeurValeurStricPos(MtgFrame frameInit, 
      CValeurAssocieeAVariable valInit, CElementBase objetInit, String messageInit) {
    super(frameInit,  valInit,  objetInit);
    message = messageInit;
  }

   /**
   * Fonction charge de vrifier si la rponse, quand elle est correcte, est valide
   * pour le type de valeur attendu. Par exemple, le rayon d'un cercle doit tre strictement positif.
   * Renvoie true par dfaut et doit tre redfinie pour tous les descendants.
   *
  */
  public boolean valeurAcceptee(double v) {
  	// Modifi version 4.6.3
    if (v <= 0) {
      frame.dialogueAvertissement(MtgFrame.getString(message));
      requestFocus();
    }
    return (v != 0);
  }
}
