/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types;
/*
 * MotifPoint.java
 *
 * Created on 27 juin 2004, 12:58
 */

/**
 *
 * @author  Yves
 * @version 
 */
// Classe reprsentant lengthmotif utilis pour tracer un point
public abstract class MotifPoint {

  public static final int Carre = 0;
  public static final int Rond = 1;
  public static final int Croix = 2;
  public static final int Mult = 3;
  public static final int Encadre = 4;
  public static final int PetitRond = 5;
  public static final int Losange = 6;
	public static final int Pixel = 7;
	// Deux nouveaux styles de points pour la version 5.0
	public final static int GrandRond = 8;
	public final static int GrandMult = 9;
	// Version 5.1 : UN style spcial pour les pointills des repres
	public final static int Quadrillage = 10;

}
