/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


package actions;

import javax.swing.KeyStroke;
import mathgraph32.MtgFrame;

// Modifi  version 5.0.0.4. Utilise maintenant un outil
@SuppressWarnings("serial")
public class ActionCreerCalculComplexe extends MtgAction {
  public ActionCreerCalculComplexe(MtgFrame frameInit) {
    super(frameInit, frameInit.outilCalculComplexe, getString("menuCreerCalculComplexe"),
    		getString("chaineOutil45"), iconeAssociee(),
    		KeyStroke.getKeyStroke('E', java.awt.event.InputEvent.SHIFT_MASK | java.awt.event.InputEvent.CTRL_MASK ), false);
  }
  
  @Override
  public int idMenu() {
    return 33133;
  }
 
  // Une icne pour la version 5.0
  public static String iconeAssociee() {
    return "images/CalculComplexe";
  }

  
  /* Supprim  version 5.0.0.4. On utlise un outil
	@Override
	public void actionPerformed(ActionEvent e) {
		super.actionPerformed(e);
    frame.actionEnCours = this;
    MtgInternalFrame cadre = frame.cadreActif();
    CListeObjets listePr = cadre.listePr;
    frame.indication("");
    CCalculComplexe cal = new CCalculComplexe(listePr, null, false);    
    CalculComplexeDlg dlg = new CalculComplexeDlg(frame, cal, false);
		dlg.setLocationRelativeTo(frame);
    dlg.setVisible(true);
    if (dlg.retourOK()) {
      if (frame.ajouteElementAvecVerification(cal))
        cadre.gestionnaire.enregistreFigureEnCours(getString("chaineOutil20"));    	
    }
    frame.actionEnCours = this;
    frame.activeOutilCapture();
  }
 */
}